﻿using System;
using System.Linq;
using Telerik.Windows.Controls.Diagrams.Extensions.ViewModels;

namespace WpfApplication2.ViewModels
{
    /// <summary>
    /// TODO: Update summary.
    /// </summary>
    public class GraphSource : SerializableGraphSourceBase<NodeViewModel, LinkViewModel>
    {
        public override string GetNodeUniqueId(NodeViewModel node)
        {
            return node.Id;
        }

        public override void SerializeNode(NodeViewModel node, Telerik.Windows.Diagrams.Core.SerializationInfo info)
        {
            base.SerializeNode(node, info);
            info["Title"] = node.Title;
            var t =info["NodeUniqueIdKey"];
        }

        public override NodeViewModel DeserializeNode(Telerik.Windows.Diagrams.Core.IShape shape, Telerik.Windows.Diagrams.Core.SerializationInfo info)
        {
            base.DeserializeNode(shape, info);
            if (info["Title"] != null)
            {
                return new NodeViewModel() { Title = info["Title"].ToString() };
            }
            return null;
        }

        public override string GetLinkUniqueId(LinkViewModel link)
        {
            return link.Id;
        }
    }
}
